com.google.gwt.xhr.client

## Enum XMLHttpRequest.ResponseType

- java.lang.Object
- - java.lang.Enum<XMLHttpRequest.ResponseType>
  - - com.google.gwt.xhr.client.XMLHttpRequest.ResponseType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<XMLHttpRequest.ResponseType>

Enclosing class:
  XMLHttpRequest

    public static enum XMLHttpRequest.ResponseType
    extends java.lang.Enum<XMLHttpRequest.ResponseType>

The type of response expected from the XHR.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ArrayBuffer` The default response type -- use `XMLHttpRequest.getResponseArrayBuffer()` for the return value.
`Default` The default response type -- use `XMLHttpRequest.getResponseText()` for the return value.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `getResponseTypeString()`
`static XMLHttpRequest.ResponseType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static XMLHttpRequest.ResponseType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### Default

    public static final XMLHttpRequest.ResponseType Default

The default response type -- use `XMLHttpRequest.getResponseText()` for the return value.

#### ArrayBuffer

    public static final XMLHttpRequest.ResponseType ArrayBuffer

The default response type -- use `XMLHttpRequest.getResponseArrayBuffer()` for the return value. This value may only be used if `TypedArrays.isSupported()` returns true.

### Method Detail

#### values

    public static XMLHttpRequest.ResponseType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (XMLHttpRequest.ResponseType c : XMLHttpRequest.ResponseType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static XMLHttpRequest.ResponseType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getResponseTypeString

    public java.lang.String getResponseTypeString()